petsc-3.4.2 2013-07-02

# PetscObjectQuery

Gets a PETSc object associated with a given object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectQuery(PetscObject obj,const char name[],PetscObject *ptr)

Not Collective

### Input Parameters

| obj | - the PETSc object Thus must be cast with a (PetscObject), for example, PetscObjectCompose((PetscObject)mat,...);
| name | - name associated with child object
| ptr | - the other PETSc object associated with the PETSc object, this must be cast with (PetscObject*)

The reference count of neither object is increased in this call

### See Also

PetscObjectCompose()

Level:advanced
Location:src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex48.c.html